Bug 452725 - Latest freetype erratum does not display all fonts
Latest freetype erratum does not display all fonts
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: freetype (Show other bugs)
3.9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-24 13:04 EDT by Tru Huynh
Modified: 2008-06-25 07:46 EDT (History)
7 users (show)

See Also:
Fixed In Version: freetype-2.1.4-10.el3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-25 07:46:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tru Huynh 2008-06-24 13:04:30 EDT
+++ This bug was initially created as a clone of Bug #452474 +++

After the latest freetype erratum, my systems don't display all fonts. This is
visible in both firefox and openoffice.org2

This happens after the freetype-2.1.9-7.el4.6 update.

Reboot or creating a new KDE profile doesn't fix the problem.

After downgrading freetype to freetype-2.1.9-6.el4, all is well again.

Steps to Reproduce:
1. Update the system with the freetype-2.1.9-7.el4.6 package
2. Start firefox or openoffice.org2 and see fonts not or incorrectly being displayed
3.

-- Additional comment from voetelink@ecn.nl on 2008-06-23 09:12 EST --
I just found out that the freetype update for RHEL3 is also causing problems....

-- Additional comment from besfahbo@redhat.com on 2008-06-23 14:18 EST --
Can you provide more details please?  Before/after screenshots help immensely. 
If you know, which fonts are triggering this?

-- Additional comment from ruprech@jilau1.colorado.edu on 2008-06-23 15:45 EST --
I'm seeing the same thing.  For example, a Word document using Book Antiqua
displays nothing in oowriter, while a web page in Arial displays in a different
(serif) font.  An xls spreadsheet using Arial also displays nothing.  In fact,
it is impossible to even start a new oowriter document in any font: typing in
the text area, regardless of which font is chosen, displays nothing.

-- Additional comment from ruprech@jilau1.colorado.edu on 2008-06-23 16:20 EST --
I should have said that the web page in Arial displays in the wrong font when
viewed with seamonkey.

-- Additional comment from mooney@dogbert.cc.ndsu.nodak.edu on 2008-06-23 17:50
EST --
We're seeing this too on a few RHEL 4.6 systems.  For example, one person gets
no text displayed in the seamonkey print preview window, and some of the fonts
in the font selector in Open Office writer don't show up (there's an entry in
the dropdown, but no text appears).

Another person (that's using KDE as their desktop environment) brings up Open
Office writer and basically can't use it, because the File, Edit, etc. menus
don't even appear at the top of the application.

This is a big problem, as it's making several applications completely unusable
on these systems.

-- Additional comment from linux_support@hmdc.harvard.edu on 2008-06-24 09:57 EST --
We are also seeing problems on RHEL4.6, especially with xpdf.  Before I
downgraded freetype from 2.1.9-7.el4.6 to 2.1.9-6.el4, fonts were not rendered
in xpdf and errors such as the following were sent to STDOUT:

[user@host ~]$ xpdf whatever.pdf
Error: Couldn't create a font for 'Courier'
Error: Couldn't create a font for 'Helvetica'
Error: Couldn't create a font for 'Symbol'
Error: Couldn't create a font for 'Times-Italic'
Error: Couldn't create a font for 'Times-Roman'

-- Additional comment from thoger@redhat.com on 2008-06-24 10:06 EST --
Created an attachment (id=310146)
Corrected freetype-2.3.5-CVEs.patch for EL4

Issue was introduced because of the incorrect backport of the security fix to
freetype versions in Red Hat Enterprise Linux 2.1, 3, and 4.

Attached is the proposed corrected patch.

-- Additional comment from thoger@redhat.com on 2008-06-24 10:08 EST --
Created an attachment (id=310147)
Interdiff to previous patch


-- Additional comment from thoger@redhat.com on 2008-06-24 10:26 EST --
Created an attachment (id=310151)
Corrected interdiff (thanks Behdad)
Comment 1 Tru Huynh 2008-06-24 13:07:35 EDT
the patch provided applies cleany on CentOS-3 and seems to fix the issue.
(https://bugzilla.redhat.com/attachment.cgi?id=310151)

SRPMS/RPMS are available on http://people.centos.org/tru/3/freetype/
Comment 2 Tomas Hoger 2008-06-25 07:46:04 EDT
Security errata RHSA-2008:0556 was updated with new packages to address this
regression:

  https://rhn.redhat.com/errata/RHSA-2008-0556.html

Note You need to log in before you can comment on or make changes to this bug.